org.wso2.carbon.dataservices.sql.driver.parser

## Enum Parser.QueryTypes

- java.lang.Object
- - java.lang.Enum<Parser.QueryTypes>
  - - org.wso2.carbon.dataservices.sql.driver.parser.Parser.QueryTypes

- All Implemented Interfaces:
    Serializable, Comparable<Parser.QueryTypes>
  Enclosing class:
    Parser

      public static enum Parser.QueryTypes
      extends Enum<Parser.QueryTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DELETE`
    `DROP`
    `INSERT`
    `SELECT`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parser.QueryTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Parser.QueryTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final Parser.QueryTypes SELECT

    - #### UPDATE

          public static final Parser.QueryTypes UPDATE

    - #### INSERT

          public static final Parser.QueryTypes INSERT

    - #### DELETE

          public static final Parser.QueryTypes DELETE

    - #### DROP

          public static final Parser.QueryTypes DROP

    - #### CREATE

          public static final Parser.QueryTypes CREATE

  - ### Method Detail

    - #### values

          public static Parser.QueryTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parser.QueryTypes c : Parser.QueryTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parser.QueryTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 WSO2. All rights reserved.